Debian Bug report logs - #659893
[strigi-dbg] no debugging symbols found

version graph

Package: strigi-dbg; Maintainer for strigi-dbg is Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>; Source for strigi-dbg is src:strigi.

Reported by: bgrpt3@toplitzer.net

Date: Tue, 14 Feb 2012 15:39:09 UTC

Severity: grave

Found in version strigi/0.7.7-1

Fixed in version strigi/0.7.7-1.1

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>:
Bug#659893; Package strigi-dbg. (Tue, 14 Feb 2012 15:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to bgrpt3@toplitzer.net:
New Bug report received and forwarded. Copy sent to Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>. (Tue, 14 Feb 2012 15:39:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: bgrpt3@toplitzer.net
To: submit@bugs.debian.org
Subject: [strigi-dbg] no debugging symbols found
Date: Tue, 14 Feb 2012 16:37:45 +0100
Package: strigi-dbg
Version: 0.7.7-1
Severity: grave

--- Please enter the report below this line. ---

trying to debug on #659828 I found the following problem:
the strigi-dbg package doesn't work with gdb:

$ apt-show-versions | grep 0.7.7
libsearchclient0/wheezy uptodate 0.7.7-1
libstreamanalyzer0/wheezy uptodate 0.7.7-1
libstreams0/wheezy uptodate 0.7.7-1
libstrigihtmlgui0/wheezy uptodate 0.7.7-1
libstrigiqtdbusclient0/wheezy uptodate 0.7.7-1
strigi-client/wheezy uptodate 0.7.7-1
strigi-daemon/wheezy uptodate 0.7.7-1
strigi-dbg/wheezy uptodate 0.7.7-1
strigi-utils/wheezy uptodate 0.7.7-1
$ gdb rdfindexer
GNU gdb (GDB) 7.3-debian
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i486-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/rdfindexer...Reading symbols from 
/usr/lib/debug/usr/bin/rdfindexer...(no debugging symbols found)...done.
(no debugging symbols found)...done.
(gdb) 


--- System information. ---
Architecture: i386
Kernel:       Linux 3.2.0-1-686-pae

Debian Release: wheezy/sid
  500 testing         security 
  500 testing         multimedia 
  500 testing         debian 

--- Package information. ---
Depends                      (Version) | Installed
======================================-+-============
libstreamanalyzer0         (= 0.7.7-1) | 0.7.7-1
libstreams0                (= 0.7.7-1) | 0.7.7-1
libstrigiqtdbusclient0     (= 0.7.7-1) | 0.7.7-1


Package's Recommends field is empty.

Package's Suggests field is empty.

Other Packages:
gdb/wheezy uptodate 7.3-1+b1






Information forwarded to debian-bugs-dist@lists.debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>:
Bug#659893; Package strigi-dbg. (Sat, 18 Feb 2012 16:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Weber <tweber@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>. (Sat, 18 Feb 2012 16:57:05 GMT) Full text and rfc822 format available.

Message #10 received at 659893@bugs.debian.org (full text, mbox):

From: Thomas Weber <tweber@debian.org>
To: bgrpt3@toplitzer.net, 659893@bugs.debian.org
Subject: Re: Bug#659893: [strigi-dbg] no debugging symbols found
Date: Sat, 18 Feb 2012 17:53:37 +0100
[Message part 1 (text/plain, inline)]
On Tue, Feb 14, 2012 at 04:37:45PM +0100, bgrpt3@toplitzer.net wrote:
> Package: strigi-dbg
> Version: 0.7.7-1
> Severity: grave
> 
> --- Please enter the report below this line. ---
> 
> trying to debug on #659828 I found the following problem:
> the strigi-dbg package doesn't work with gdb:

There are no useful debug symbols because the package is built without
debug information.

Patch attached. The package is built without optimization right now and
I didn't change that. If you want to change that as well, use
'RelWithDebInfo' instead of 'Debug'.

	Thomas
[stigi.diff (text/x-diff, attachment)]

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Sat, 03 Mar 2012 21:57:17 GMT) Full text and rfc822 format available.

Notification sent to bgrpt3@toplitzer.net:
Bug acknowledged by developer. (Sat, 03 Mar 2012 21:57:17 GMT) Full text and rfc822 format available.

Message #15 received at 659893-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 659893-close@bugs.debian.org
Subject: Bug#659893: fixed in strigi 0.7.7-1.1
Date: Sat, 03 Mar 2012 21:54:59 +0000
Source: strigi
Source-Version: 0.7.7-1.1

We believe that the bug you reported is fixed in the latest version of
strigi, which is due to be installed in the Debian FTP archive:

libsearchclient-dev_0.7.7-1.1_amd64.deb
  to main/s/strigi/libsearchclient-dev_0.7.7-1.1_amd64.deb
libsearchclient0_0.7.7-1.1_amd64.deb
  to main/s/strigi/libsearchclient0_0.7.7-1.1_amd64.deb
libstreamanalyzer-dev_0.7.7-1.1_amd64.deb
  to main/s/strigi/libstreamanalyzer-dev_0.7.7-1.1_amd64.deb
libstreamanalyzer0_0.7.7-1.1_amd64.deb
  to main/s/strigi/libstreamanalyzer0_0.7.7-1.1_amd64.deb
libstreams-dev_0.7.7-1.1_amd64.deb
  to main/s/strigi/libstreams-dev_0.7.7-1.1_amd64.deb
libstreams0_0.7.7-1.1_amd64.deb
  to main/s/strigi/libstreams0_0.7.7-1.1_amd64.deb
libstrigihtmlgui-dev_0.7.7-1.1_amd64.deb
  to main/s/strigi/libstrigihtmlgui-dev_0.7.7-1.1_amd64.deb
libstrigihtmlgui0_0.7.7-1.1_amd64.deb
  to main/s/strigi/libstrigihtmlgui0_0.7.7-1.1_amd64.deb
libstrigiqtdbusclient-dev_0.7.7-1.1_amd64.deb
  to main/s/strigi/libstrigiqtdbusclient-dev_0.7.7-1.1_amd64.deb
libstrigiqtdbusclient0_0.7.7-1.1_amd64.deb
  to main/s/strigi/libstrigiqtdbusclient0_0.7.7-1.1_amd64.deb
strigi-client_0.7.7-1.1_amd64.deb
  to main/s/strigi/strigi-client_0.7.7-1.1_amd64.deb
strigi-daemon_0.7.7-1.1_amd64.deb
  to main/s/strigi/strigi-daemon_0.7.7-1.1_amd64.deb
strigi-dbg_0.7.7-1.1_amd64.deb
  to main/s/strigi/strigi-dbg_0.7.7-1.1_amd64.deb
strigi-utils_0.7.7-1.1_amd64.deb
  to main/s/strigi/strigi-utils_0.7.7-1.1_amd64.deb
strigi_0.7.7-1.1.debian.tar.gz
  to main/s/strigi/strigi_0.7.7-1.1.debian.tar.gz
strigi_0.7.7-1.1.dsc
  to main/s/strigi/strigi_0.7.7-1.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659893@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated strigi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 03 Mar 2012 16:59:19 +0000
Source: strigi
Binary: strigi-daemon strigi-client strigi-utils libstreams0 libstreams-dev libstreamanalyzer0 libstreamanalyzer-dev libsearchclient0 libsearchclient-dev libstrigihtmlgui0 libstrigihtmlgui-dev libstrigiqtdbusclient0 libstrigiqtdbusclient-dev strigi-dbg
Architecture: source amd64
Version: 0.7.7-1.1
Distribution: unstable
Urgency: low
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 libsearchclient-dev - development files for libsearchclient
 libsearchclient0 - searchclient library for Strigi Desktop Search
 libstreamanalyzer-dev - development files for libstreamanalyzer
 libstreamanalyzer0 - streamanalyzer library for Strigi Desktop Search
 libstreams-dev - development files for libstreams
 libstreams0 - streams library for for Strigi Desktop Search
 libstrigihtmlgui-dev - development files for libstrigihtmlgui
 libstrigihtmlgui0 - library for writing html clients for Strigi Desktop Search
 libstrigiqtdbusclient-dev - development files for libstrigiqtdbusclient
 libstrigiqtdbusclient0 - library for writing D-Bus clients for Strigi Desktop Search
 strigi-client - Qt4 client for Strigi Desktop Search
 strigi-daemon - fast indexing and searching tool for your personal data (daemon)
 strigi-dbg - debugging symbols for strigi
 strigi-utils - command-line tools for Strigi Desktop Search
Closes: 659893
Changes: 
 strigi (0.7.7-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Apply patch from Thomas Weber <tweber@debian.org> to
     enable builds with debug symbols. (Closes: #659893)
Checksums-Sha1: 
 6b2f365b888c9206cf888c63a14eb93adab8e6c0 2319 strigi_0.7.7-1.1.dsc
 a64756b0ac44acb26363930706262c738db8fb63 21227 strigi_0.7.7-1.1.debian.tar.gz
 49e811d801defd735a2bd33bd30cbac0ece8c7eb 262366 strigi-daemon_0.7.7-1.1_amd64.deb
 9f12f4ce43d5875da0c83eaf55587399b7fb3613 87540 strigi-client_0.7.7-1.1_amd64.deb
 defafeaf061ffca2e35399cb8120095e33f37908 160810 strigi-utils_0.7.7-1.1_amd64.deb
 347a8633f4fd6ffe26868ee766a9245a0653361b 169386 libstreams0_0.7.7-1.1_amd64.deb
 d6db3beb48e1072883ca800cc5b65aa383f2818c 34796 libstreams-dev_0.7.7-1.1_amd64.deb
 8590c9c99f1cd95476e3a084ac6637adee80026d 770534 libstreamanalyzer0_0.7.7-1.1_amd64.deb
 ba9fa97b4d0e9c6fb00c503c4bd032bef3552fb6 35100 libstreamanalyzer-dev_0.7.7-1.1_amd64.deb
 b2ccdd39429835c7ddafdede7c61b51eed26709d 57700 libsearchclient0_0.7.7-1.1_amd64.deb
 c9a84d7dc71f7c356a8b768995c87335e3609ad0 15752 libsearchclient-dev_0.7.7-1.1_amd64.deb
 b8bd4c15b0bdcee789248b5424bcacb375567efd 63602 libstrigihtmlgui0_0.7.7-1.1_amd64.deb
 35d459b48c419b7e843bf3a1adc7b72b4aaad88f 14584 libstrigihtmlgui-dev_0.7.7-1.1_amd64.deb
 5183f8f5c8f13fcbdbb91a4feb346602760a76e2 68562 libstrigiqtdbusclient0_0.7.7-1.1_amd64.deb
 e53b9f74f1550aa1cd37482d02771fd89d1ac7eb 16402 libstrigiqtdbusclient-dev_0.7.7-1.1_amd64.deb
 50aba33716be0f0a0e1a39eb257b72f236f21575 6146160 strigi-dbg_0.7.7-1.1_amd64.deb
Checksums-Sha256: 
 4234174f6aeaa399ec8718bac93d90b9a9f780ac8a45328ec9e722438c77e639 2319 strigi_0.7.7-1.1.dsc
 5bcb3845818d7c1159e756744e890e74957e102d79846db173a4fce455cde910 21227 strigi_0.7.7-1.1.debian.tar.gz
 f6327ef58d09419e4ed6fe987f52781bdef024df3be52161e2e5c5584bd45d1e 262366 strigi-daemon_0.7.7-1.1_amd64.deb
 17c6d2211cff3907aca4aa4aba82415584d3d644cbf3d844c963ce62f740ef56 87540 strigi-client_0.7.7-1.1_amd64.deb
 aa6e2b0b1920a5ed77177362f635a97455b5720b5fef9ff04333bb8fec8e0f8f 160810 strigi-utils_0.7.7-1.1_amd64.deb
 59315756fc14f95242a687922c439ca734c2a1fb253edfc84e4d2e8677e8fb49 169386 libstreams0_0.7.7-1.1_amd64.deb
 f52febc806e9c7ac2f3e23e55a5edfc8d1dd59888d796645eb7eb3f78c2e6634 34796 libstreams-dev_0.7.7-1.1_amd64.deb
 91c57ff4f1569bf555e78079abd91ecd13ae7accbbe682f5614f2b08f92a2e81 770534 libstreamanalyzer0_0.7.7-1.1_amd64.deb
 3a2658fd4cde13bdf74f426212dc0cc312dd5e5aade3ad4e2c1d8c4768911547 35100 libstreamanalyzer-dev_0.7.7-1.1_amd64.deb
 5f4edef2d09c97fda8592b3dacd9a61f5d0f25348221bfc7aa023dd2236724a0 57700 libsearchclient0_0.7.7-1.1_amd64.deb
 b895eb293cd18aacecd21336b107d5655fbd92e493cadda71ce167ba90eea937 15752 libsearchclient-dev_0.7.7-1.1_amd64.deb
 92c39384fb6070f0322ba21f3121019ac56b724edecc0c60509a8aa559cf43c8 63602 libstrigihtmlgui0_0.7.7-1.1_amd64.deb
 4d7967f0fa62029a715e10dbb781249203ad531c86a14aff3246ce23e31e736c 14584 libstrigihtmlgui-dev_0.7.7-1.1_amd64.deb
 95448c32cf6850777a3df24612a08b2fe16618e7130b0f51ed9c4815be0ba4de 68562 libstrigiqtdbusclient0_0.7.7-1.1_amd64.deb
 15e059d27d185dcee536bdf7452fe6570a5eed888e8dbfa85ff6170ef1aba090 16402 libstrigiqtdbusclient-dev_0.7.7-1.1_amd64.deb
 3f97cc25a4db075106b54c76ba04e4820d137b4f9a7c0c92c261039c6a0797db 6146160 strigi-dbg_0.7.7-1.1_amd64.deb
Files: 
 737ab9837257c3ee2e814ebc5c443fd4 2319 utils optional strigi_0.7.7-1.1.dsc
 77d3655626d4c23dfaa2c3b88f406a96 21227 utils optional strigi_0.7.7-1.1.debian.tar.gz
 c634c50c022f92d9e5de661e46847c58 262366 utils optional strigi-daemon_0.7.7-1.1_amd64.deb
 1a1430771b3ac1c3d3094c1883cb260e 87540 x11 optional strigi-client_0.7.7-1.1_amd64.deb
 92adca3db776fdde19e540e628e63913 160810 utils optional strigi-utils_0.7.7-1.1_amd64.deb
 783bcd171a4f9421c579a354a7f5654d 169386 libs optional libstreams0_0.7.7-1.1_amd64.deb
 9f29065b647683548bacb7bf422adcf7 34796 libdevel optional libstreams-dev_0.7.7-1.1_amd64.deb
 f3b4234e4903597e6706f2a7d0d0bc77 770534 libs optional libstreamanalyzer0_0.7.7-1.1_amd64.deb
 89796c648c5c4cf90577f920a8730ba5 35100 libdevel optional libstreamanalyzer-dev_0.7.7-1.1_amd64.deb
 c4977591af5b0df68b722bf0fcac4cae 57700 libs optional libsearchclient0_0.7.7-1.1_amd64.deb
 5c6c13eb01709ffd4d42621925678ffb 15752 libdevel optional libsearchclient-dev_0.7.7-1.1_amd64.deb
 c6bb6e762c319da1b127bbf31971b2f9 63602 libs optional libstrigihtmlgui0_0.7.7-1.1_amd64.deb
 38cef794419157c50b44491ce6975402 14584 libdevel optional libstrigihtmlgui-dev_0.7.7-1.1_amd64.deb
 b94d1d3644bf77c0c211af23e3032dda 68562 libs optional libstrigiqtdbusclient0_0.7.7-1.1_amd64.deb
 2cca5da9d9ca2c5392116de4f55d492d 16402 libdevel optional libstrigiqtdbusclient-dev_0.7.7-1.1_amd64.deb
 58962cdb1fcdb420b49ba81c6610d0f8 6146160 debug extra strigi-dbg_0.7.7-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk9SiRwACgkQiAEJSii8s+MWpgCfRYRcmsFY7DfH3BzE9kvS1LQa
sZgAoMkGMxbobBMLjyIf+J0/BVufO8il
=uSye
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 Apr 2012 07:47:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:41:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.